org.apache.ignite.spi.tracing

## Class TracingConfigurationParameters

- java.lang.Object
- - org.apache.ignite.spi.tracing.TracingConfigurationParameters

All Implemented Interfaces:
  Serializable

    public class TracingConfigurationParameters
    extends Object
    implements Serializable

Set of tracing configuration parameters like sampling rate or included scopes.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TracingConfigurationParameters.Builder` `TracingConfigurationParameters` builder.

### Field Summary

Fields
`static double` `SAMPLING_RATE_ALWAYS` Max valid sampling rate with special meaning that span will be always created.
`static double` `SAMPLING_RATE_NEVER` Min valid sampling rate with special meaning that span won't be created.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`@NotNull Set<Scope>` `includedScopes()`
`double` `samplingRate()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SAMPLING_RATE_NEVER

    public static final double SAMPLING_RATE_NEVER

Min valid sampling rate with special meaning that span won't be created.

See Also:
  Constant Field Values

#### SAMPLING_RATE_ALWAYS

    public static final double SAMPLING_RATE_ALWAYS

Max valid sampling rate with special meaning that span will be always created.

See Also:
  Constant Field Values

### Method Detail

#### samplingRate

    public double samplingRate()

Returns:
  Number between 0 and 1 that more or less reflects the probability of sampling specific trace. 0 and 1 have special meaning here, 0 means never 1 means always. Default value is 0 (never).

#### includedScopes

    @NotNull
    public @NotNull Set<Scope> includedScopes()

Returns:
  Set of `Scope` that defines which sub-traces will be included in given trace. In other words, if child's span scope is equals to parent's scope or it belongs to the parent's span included scopes, then given child span will be attached to the current trace, otherwise it'll be skipped. See `Span.isChainable(Scope)` for more details. If no scopes are specified, empty set will be returned.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022